/*******************************************************************************
 * Copyright (C) Altimetrik 2018. All rights reserved.
 * 
 * This software is the confidential and proprietary information
 * of Altimetrik. You shall not disclose such Confidential Information
 * and shall use it only in accordance with the terms and conditions
 * entered into with Altimetrik.
 ******************************************************************************/
package com.altimetrik.playground.innovation.rabbitmq;

import java.util.Calendar;

import org.springframework.amqp.rabbit.annotation.RabbitListener;
import org.springframework.stereotype.Service;

import com.altimetrik.playground.innovation.config.RabbitConfig;

import lombok.extern.slf4j.Slf4j;

@Slf4j
@Service
public class MessageListener {

	@RabbitListener(queues = RabbitConfig.QUEUE_NAME)
	public void process(final String data) {
		try {
			log.info("Processing a message at " + Calendar.getInstance().getTime());
			// Use the ObjectMapper to perform the data conventions and continue
			// with
			// further processing.
			// Header should contain the meta data of the messages consumed so
			// that the
			// corresponding handlers can be invoked.
		}
		catch (Exception e) {
			// Log the exception.
		}
	}

}
